org.apache.tomcat.websocket.server

## Class WsSessionListener

- java.lang.Object
- - org.apache.tomcat.websocket.server.WsSessionListener

- All Implemented Interfaces:
    EventListener, HttpSessionListener

      public class WsSessionListener
      extends Object
      implements HttpSessionListener

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WsSessionListener(WsServerContainer wsServerContainer)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `sessionCreated(HttpSessionEvent se)` Notification that a session was created.
    `void` | `sessionDestroyed(HttpSessionEvent se)` Notification that a session is about to be invalidated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WsSessionListener

          public WsSessionListener(WsServerContainer wsServerContainer)

  - ### Method Detail

    - #### sessionCreated

          public void sessionCreated(HttpSessionEvent se)

      Description copied from interface: `javax.servlet.http.HttpSessionListener`
      Notification that a session was created.
      Specified by:
        `sessionCreated` in interface `HttpSessionListener`
      Parameters:
        `se` - the notification event

    - #### sessionDestroyed

          public void sessionDestroyed(HttpSessionEvent se)

      Description copied from interface: `javax.servlet.http.HttpSessionListener`
      Notification that a session is about to be invalidated.
      Specified by:
        `sessionDestroyed` in interface `HttpSessionListener`
      Parameters:
        `se` - the notification event

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.